net.minecraftforge.client.event.sound

## Class PlaySoundEvent17

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.client.event.sound.SoundEvent
    - - net.minecraftforge.client.event.sound.PlaySoundEvent17

-     public class PlaySoundEvent17
      extends SoundEvent

  Raised when the SoundManager tries to play a normal sound. If you return null from this function it will prevent the sound from being played, you can return a different entry if you want to change the sound being played.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.client.event.sound.SoundEvent

      `SoundEvent.SoundSourceEvent`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SoundCategory` | `category`
    `java.lang.String` | `name`
    `ISound` | `result`
    `ISound` | `sound`

    - ### Fields inherited from class net.minecraftforge.client.event.sound.SoundEvent

      `manager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlaySoundEvent17(SoundManager manager, ISound sound, SoundCategory category)`

  - ### Method Summary

    - ### Methods inherited from class net.minecraftforge.client.event.sound.SoundEvent

      `getResult`

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final java.lang.String name

    - #### sound

          public final ISound sound

    - #### category

          public final SoundCategory category

    - #### result

          public ISound result

  - ### Constructor Detail

    - #### PlaySoundEvent17

          public PlaySoundEvent17(SoundManager manager,
                          ISound sound,
                          SoundCategory category)